%define name	awstats
%define version	6.1
%define release	1mdk
%define order	50
#New ADVX macros
%{expand:%(cat  %{_datadir}/ADVX/ADVX-build)}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Advanced Web Statistics
License:	GPL
Group:		Networking/WWW
URL:		http://awstats.sourceforge.net
Source0:	http://prdownloads.sourceforge.net/awstats/%{name}-%{version}.tar.bz2
Source1:	%{name}.conf.bz2
Source2:	%{name}.cron.bz2
Patch0:		awstats-6.0-conf.patch.bz2
BuildRequires:	ADVX-build >= 1.2
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Advanced Web Statistics is a powerful and featureful tool that generates
advanced web server graphic statistics. This server log analyzer works
from command line or as a CGI and shows you all information your log contains,
in graphical web pages. It can analyze a lot of web/wap/proxy servers like
Apache, IIS, Weblogic, Webstar, Squid, ... but also mail or ftp servers.

This program can measure visits, unique vistors, authenticated users, pages,
domains/countries, OS busiest times, robot visits, type of files, search
engines/keywords used, visits duration, HTTP errors and more...
Statistics can be updated from a browser or your scheduler.
The program also supports virtual servers, plugins and a lot of features.

%prep
%setup -q
%patch0 -p1 -b .defaultconf
bzcat %{SOURCE2} > %{name}.cron
# fix perms
find . -type f -exec chmod 644 {} \;
find . -name *.pl -exec chmod 755 {} \;

%build

%install
rm -rf $RPM_BUILD_ROOT

# apache configuration
install -d -m 755 $RPM_BUILD_ROOT%{ap_base}/webapps.d
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{ap_base}/webapps.d/%{order}_%{name}.conf

install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily
install -d -m 755 $RPM_BUILD_ROOT%{ap_datadir}/cgi-bin
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_localstatedir}/%{name}

install -m 755 wwwroot/cgi-bin/awstats.pl $RPM_BUILD_ROOT%{ap_datadir}/cgi-bin
install -m 644 wwwroot/cgi-bin/awstats.model.conf $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}/%{name}.conf
install -m 755 %{name}.cron $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/%{name}

cp -r tools $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -r wwwroot/icon $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -r wwwroot/cgi-bin/lang $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -r wwwroot/cgi-bin/lib $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -r wwwroot/cgi-bin/plugins $RPM_BUILD_ROOT%{_datadir}/%{name}
chmod 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 -eq 1 ]; then
	perl -pi -e 's/SiteDomain=""/SiteDomain="'`hostname`'"/' %{_sysconfdir}/%{name}/%{name}.conf
fi
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc README.TXT docs/*
# Apache configuration file
%config(noreplace) %{ap_base}/webapps.d/%{order}_%{name}.conf
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/cron.daily/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%{_datadir}/%{name}
%{_localstatedir}/%{name}
%{ap_datadir}/cgi-bin/%{name}.pl

%changelog
* Tue Jul 13 2004 Guillaume Rousse <guillomovitch@mandrake.org> 6.1-1mdk 
- new version
- apache config file in %{ap_base}/webapps.d

* Fri Jul 02 2004 Guillaume Rousse <guillomovitch@mandrake.org> 6.0-3mdk 
- fix perms

* Fri Jul 02 2004 Guillaume Rousse <guillomovitch@mandrake.org> 6.0-2mdk 
- remove useless provide

* Thu Feb 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 6.0-1mdk
- Release 6.0
- Regenerate patch0
- Ensure cron file is executable

* Fri Dec 12 2003 Guillaume Rousse <guillomovitch@mandrake.org> 5.9-2mdk
- fixed conf file (fix bug #6497)

* Tue Sep 30 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 5.9-1mdk
- 5.9
- ADVX macros

* Thu Jul 17 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 5.6-2mdk
- fixes from Frederic Crozat <fcrozat@mandrakesoft.com>
 - cron task
 - fixed configuration

* Sun Jul 06 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 5.6-1mdk
- 5.6

* Sat Jun 21 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 5.5-1mdk
- 5.5
- apache 2 setup

* Tue Mar 18 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 5.4-1mdk
- 5.4
- configuration patch merged upstream
- post-install automatic configuration

* Mon Feb 03 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 5.3-1mdk
- first mdk release
